/*---------------------------------------------------------------------------*/
/* PhoneIosApplication.m                                                     */
/* copyright (c) innovaphone 2015                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

#import "platform/platform.h"
#import "platform/IosNamespace.h"
#import "../ios_forms/FormsConst.h"
#import "PhoneIosDelegate.h"
#import "PhoneIosApplication.h"

@interface PhoneIosApplication()

@end
@implementation PhoneIosApplication

- (void) remoteControlReceivedWithEvent:(UIEvent *)theEvent 
{
    NSLog(@"remoteControlReceivedWithEvent %d at application", (int)(theEvent.type));
    if (theEvent.type == UIEventTypeRemoteControl)
    {
        switch(theEvent.subtype) {
        case UIEventSubtypeRemoteControlTogglePlayPause:
            [(PhoneIosDelegate *)[UIApplication sharedApplication].delegate onRemoteControl:theEvent];
            break;
        case UIEventSubtypeRemoteControlPlay:
            break;
        case UIEventSubtypeRemoteControlPause:
            break;
        case UIEventSubtypeRemoteControlStop:
            break;
        default:
            return;
        }
    }
}

@end

